--Lists the prefabs being loaded.
PrefabFiles = {
	"mokey",
	"chrimasshat",
	"mokeyhouse",
}


--All the art must be in here to be used.
Assets = {	
	-----------------------------------------------------------------------

    Asset( "IMAGE", "images/saveslot_portraits/mokey.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mokey.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mokey.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mokey.xml" ),

    Asset( "IMAGE", "bigportraits/mokey.tex" ),
    Asset( "ATLAS", "bigportraits/mokey.xml" ),
	
	Asset( "IMAGE", "images/map_icons/mokey.tex" ),
	Asset( "ATLAS", "images/map_icons/mokey.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_mokey.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_mokey.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_mokey.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_mokey.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/sound_mod_tutorial.fev"),
	Asset("SOUND", "sound/sound_mod_tutorial.fsb"),
	
	Asset("ATLAS", "images/inventoryimages/chrimasshat.xml"),
	Asset("ATLAS", "images/inventoryimages/chrimasshat.xml"),
	
	Asset("ATLAS", "images/inventoryimages/mokeyhouse.xml"),
	Asset("ATLAS", "images/inventoryimages/mokeyhouse.xml"),

}

RemapSoundEvent( "dontstarve/characters/mokey/death_voice", "sound_mod_tutorial/characters/mokey/death_voice" )
RemapSoundEvent( "dontstarve/characters/mokey/hurt", "sound_mod_tutorial/characters/mokey/hurt" )
RemapSoundEvent( "dontstarve/characters/mokey/talk_LP", "sound_mod_tutorial/characters/mokey/talk_LP" )


local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH
local resolvefilepath = GLOBAL.resolvefilepath

--These are global statements which allow config options to modify the prefabs.

-- The character select screen lines
STRINGS.CHARACTER_TITLES.mokey = "The Mouse"
STRINGS.CHARACTER_NAMES.mokey = "Mokey"
STRINGS.CHARACTER_DESCRIPTIONS.mokey = "* Where is his house?."
STRINGS.CHARACTER_QUOTES.mokey = "\"OOOOH NOOO!!.\""
STRINGS.CHARACTERS.MOKEY = require "speech_mokey"

--Character names.
STRINGS.NAMES.MOKEY = "Mokey"

-- The default responses of examining the characters
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MOKEY = 
{
	GENERIC = "It's creepy...",
	ATTACKER = "Mickey seems off...",
	MURDERER = "That thing has blood on it's teeth.",
	REVIVER = "Mokey, friend of spooks.",
	GHOST = "OH NO!",
}

ACTIONS = GLOBAL.ACTIONS
ActionHandler = GLOBAL.ActionHandler
----------------------------------------------------------------------------------------------------------

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

AddModCharacter("mokey", "MALE")

STRINGS.NAMES.CHRIMASSHAT = "Chrimass Hat"
STRINGS.RECIPE_DESC.CHRIMASSHAT = "Just in time for the season."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHRIMASSHAT = "It's a little unrealistic."
STRINGS.CHARACTERS.MOKEY.DESCRIBE.CHRIMASSHAT = "IT CHRIMASSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS"
STRINGS.NAMES.MOKEYHOUSE = "Mokey's House"
STRINGS.RECIPE_DESC.MOKEYHOUSE = "The cornerstone of living in comfort."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MOKEYHOUSE = "There's something off about this Pig House."
STRINGS.CHARACTERS.MOKEY.DESCRIBE.MOKEYHOUSE = "IT IS MY HOUSE!"
STRINGS.NAMES.MOKEYOUTHOUSE = "Mokey's Outhouse"
STRINGS.RECIPE_DESC.MOKEYOUTHOUSE = "Relief during the day."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MOKEYOUTHOUSE = "It smells!"
STRINGS.CHARACTERS.MOKEY.DESCRIBE.MOKEYOUTHOUSE = "That is where I create my children"


AddRecipe("chrimasshat",
{Ingredient("rabbit", 4)},
RECIPETABS.SURVIVAL, TECH.NONE,
nil, nil, nil, nil,
"mokey",
"images/inventoryimages/chrimasshat.xml",
"chrimasshat.tex")

AddRecipe("mokeyhouse",
{Ingredient("boards", 8)},
RECIPETABS.SURVIVAL, TECH.NONE,
nil, nil, nil, nil,
"mokey",
"images/inventoryimages/mokeyhouse.xml",
"mokeyhouse.tex")