local MakePlayerCharacter = require "prefabs/player_common"

local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		Asset( "ANIM", "anim/mokey.zip" ),
		Asset( "ANIM", "anim/ghost_mokey_build.zip" ),
}


local prefabs = 
{
		"dragonpie",
		"mininglantern",
}

local start_inv = 
{
		"dragonpie",
		"lantern",
}

local function onsanitychange(inst, data, forcesilent)
local currenthealth = inst.components.health.currenthealth

    if inst.sg:HasStateTag("nomorph") or
        inst:HasTag("playerghost") or
        inst.components.health:IsDead() then
        return
    end

    local silent = inst.sg:HasStateTag("silentmorph") or not inst.entity:IsVisible() or forcesilent

        if inst.components.sanity.current < 30 and currenthealth < 20 then
		inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 2)
		else
		inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)

end
end

local function oneat(inst, food)
     if food and food.components.edible and food.prefab =="dragonpie" then        
	 inst.components.hunger:DoDelta(-105)
	 inst.components.health:DoDelta(-70)
	 inst.components.talker:Say("I am not a clever BETCH.", 2.5)
	 end
	 end

local common_postinit = function(inst) 
	inst.soundsname = "mokey"

end

local master_postinit = function(inst)
	inst.components.health:SetMaxHealth(125)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(100)
	inst.components.combat.damagemultiplier = 1.2
 	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.4)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.components.sanity.night_drain_mult = TUNING.WENDY_SANITY_MULT * 5
	inst.components.sanity.neg_aura_mult = 7
	inst.components.sanity.dapperness_mult = 4
	inst:AddTag("mokey")
	
	inst:ListenForEvent("sanitydelta", onsanitychange)
	inst.components.eater:SetOnEatFn(oneat)
    
	return inst
	
end

return MakePlayerCharacter("mokey", prefabs, assets, common_postinit, master_postinit, start_inv)